package com.usoftchina.uas.office.dto;

/**
 * @author yingp
 * @date 2020/2/16
 */
public class UasEvent {
    private String operation;
    private String caller;
    private Object key;
    private String master;
    private Long timestamp;

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public Object getKey() {
        return key;
    }

    public void setKey(Object key) {
        this.key = key;
    }

    public String getMaster() {
        return master;
    }

    public void setMaster(String master) {
        this.master = master;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    @Override
    public String toString() {
        return "UasEvent{" +
                "operation='" + operation + '\'' +
                ", caller='" + caller + '\'' +
                ", key=" + key +
                ", master='" + master + '\'' +
                ", timestamp=" + timestamp +
                '}';
    }
}
